summaryrefslogtreecommitdiff
path: root/gsmdecode/bootstrap
diff options
context:
space:
mode:
Diffstat (limited to 'gsmdecode/bootstrap')
-rwxr-xr-xgsmdecode/bootstrap44
1 files changed, 44 insertions, 0 deletions
diff --git a/gsmdecode/bootstrap b/gsmdecode/bootstrap
new file mode 100755
index 0000000..1975b09
--- /dev/null
+++ b/gsmdecode/bootstrap
@@ -0,0 +1,44 @@
+#! /bin/bash
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed."
+ DIE=1
+}
+
+# libtool --version check not done...
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed."
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+echo Removing old files...
+rm -f configure Makefile Makefile.in src/Makefile src/Makefile.in config.h config.status aclocal.m4 config.cache config.log
+
+echo "aclocal -I config"
+aclocal -I config.
+if test $? -ne 0; then
+ exit 1
+fi
+echo "autoheader"
+autoheader
+if test $? -ne 0; then
+ exit 1
+fi
+echo "automake --foreign --add-missing"
+automake --foreign --add-missing
+if test $? -ne 0; then
+ exit 1
+fi
+echo "autoconf"
+autoconf
+echo "BOOTSTRAP complete"
+
personal git repositories of Harald Welte. Your mileage may vary